View all methods

teams.info

Retrieve details for an individual team.

Facts

Method GET https://api.getdx.com/teams.info
Required scope snapshots:read

Arguments

If looking up the team by team_id:

Name Type Description
token Token Auth token passed as an HTTP header.
team_id Text The ID of the team.

If looking up the team by reference_id:

Name Type Description
token Token Auth token passed as an HTTP header.
reference_id Text The team ID that is internal to your organization.

Example request

This is a typical request:

curl -X GET 'https://api.getdx.com/teams.info?team_id=<TEAM_ID>' \
	-H 'Authorization: Bearer xxxx-xxxxxxxxx-xxxx'

Example response

This is a typical success response:

{
  "ok": true,
  "team": {
    "lead": {
      "id": "1234",
      "name": "Jane Doe",
      "email": "jane@company.com",
      "avatar": "",
      "github_username": "",
      "developer": true,
      "tz": ""
    },
    "contributors": [
      {
        "id": "5678",
        "name": "John Smith",
        "email": "john@company.com"
      }
    ]
  }
}

Errors

This table lists the expected errors that this method could return. However, other errors can be returned in the case where the service is down or other unexpected factors affect processing. Callers should always check the value of the ok param in the response.

Error Description
not_authed No authentication token provided.
invalid_auth Some aspect of authentication cannot be validated.